[Решено] Установка из экспериментального репозитария

Автор Mosquito, 26 октября 2013, 15:06:54

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Mosquito

Есть приложение на .Net 4.5 которое нужно запустить на сервере с Debian 7. С этой задачей должен справится Mono 3.2. При установке Mono как сказано на http://mono-project.com/DistroPackages/Debian все устанавливается нормально, однако устанавливается версия 3.0.6 которая не работает с .Net 4.5. Необходимая версия Mono есть в экспериментальном репозитарии http://packages.debian.org/experimental/mono-complete.
Прописую в sources.list deb http://ftp.us.debian.org/debian experimental main contrib non-free
дальше обновляю список в apt-get, но при установке поучаю следующее:

Открыть содержимое (спойлер)
apt-get install mono-complete                         
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
mono-complete : Depends: mono-runtime (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-runtime-sgen (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: libmono-2.0-1 (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: libmono-profiler (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-utils (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-devel (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-mcs (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-csharp-shell (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-2.0-gac (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-4.0-gac (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-2.0-service (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: mono-4.0-service (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: monodoc-base (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: monodoc-manual (= 3.2.1+dfsg-1) but it is not going to be installed
                 Depends: libmono-cil-dev (= 3.2.1+dfsg-1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
[свернуть]

Т.е. он не может установить пакеты зависимостей.

aptitude, dpkg и gdebi тоже жалуются что не могут установить зависимости.
У каждой из зависимостей есть свои зависимости у которых есть свои, так что установка зависимостей вручную не вариант.

Так почему же установочные утилиты не могут установить зависимости и как это исправить?
  •  

qupl


Mosquito

#2
qupl,
Цитата: qupl от 26 октября 2013, 15:21:56
Mosquito, а если так
apt-get -t=experimental install mono-complete
та же ошибка  :(

Сообщение объединено: 26 октября 2013, 16:43:05

вот что получается если пробовать устанавливать через aptitude (очень много текста):

Открыть содержимое (спойлер)
aptitude install mono-complete 
The following NEW packages will be installed:
  libmono-2.0-1{a} libmono-accessibility2.0-cil{a} libmono-accessibility4.0-cil{a} libmono-c5-1.1-cil{a}
  libmono-cairo2.0-cil{a} libmono-cairo4.0-cil{a} libmono-cecil-private-cil{a} libmono-cil-dev{ab}
  libmono-codecontracts4.0-cil{a} libmono-compilerservices-symbolwriter4.0-cil{a} libmono-corlib2.0-cil{a}
  libmono-corlib4.0-cil{a} libmono-corlib4.5-cil{a} libmono-cscompmgd8.0-cil{a} libmono-csharp4.0a-cil{ab}
  libmono-custommarshalers4.0-cil{a} libmono-data-tds2.0-cil{a} libmono-data-tds4.0-cil{a}
  libmono-db2-1.0-cil{a} libmono-debugger-soft2.0-cil{a} libmono-debugger-soft4.0-cil{a}
  libmono-facades-system-collections-cil{a} libmono-facades-system-collections-concurrent-cil{a}
  libmono-facades-system-componentmodel-annotations-cil{a} libmono-facades-system-componentmodel-cil{a}
  libmono-facades-system-componentmodel-eventbasedasync-cil{a}
  libmono-facades-system-diagnostics-contracts-cil{a} libmono-facades-system-diagnostics-debug-cil{a}
  libmono-facades-system-diagnostics-tools-cil{a} libmono-facades-system-dynamic-runtime-cil{a}
  libmono-facades-system-globalization-cil{a} libmono-facades-system-io-cil{a}
  libmono-facades-system-linq-cil{a} libmono-facades-system-linq-expressions-cil{a}
  libmono-facades-system-linq-parallel-cil{a} libmono-facades-system-linq-queryable-cil{a}
  libmono-facades-system-net-networkinformation-cil{a} libmono-facades-system-net-primitives-cil{a}
  libmono-facades-system-net-requests-cil{a} libmono-facades-system-objectmodel-cil{a}
  libmono-facades-system-reflection-cil{a} libmono-facades-system-reflection-extensions-cil{a}
  libmono-facades-system-reflection-primitives-cil{a} libmono-facades-system-resources-resourcemanager-cil{a}
  libmono-facades-system-runtime-cil{a} libmono-facades-system-runtime-extensions-cil{a}
  libmono-facades-system-runtime-interopservices-cil{a} libmono-facades-system-runtime-numerics-cil{a}
  libmono-facades-system-runtime-serialization-json-cil{a}
  libmono-facades-system-runtime-serialization-primitives-cil{a}
  libmono-facades-system-runtime-serialization-xml-cil{a} libmono-facades-system-security-principal-cil{a}
  libmono-facades-system-servicemodel-http-cil{a} libmono-facades-system-servicemodel-primitives-cil{a}
  libmono-facades-system-text-encoding-cil{a} libmono-facades-system-text-encoding-extensions-cil{a}
  libmono-facades-system-text-regularexpressions-cil{a} libmono-facades-system-threading-cil{a}
  libmono-facades-system-threading-tasks-cil{a} libmono-facades-system-threading-tasks-parallel-cil{a}
  libmono-facades-system-xml-readerwriter-cil{a} libmono-facades-system-xml-xdocument-cil{a}
  libmono-facades-system-xml-xmlserializer-cil{a} libmono-http4.0-cil{a} libmono-i18n-cjk4.0-cil{a}
  libmono-i18n-mideast4.0-cil{a} libmono-i18n-other4.0-cil{a} libmono-i18n-rare4.0-cil{a}
  libmono-i18n-west2.0-cil{a} libmono-i18n-west4.0-cil{a} libmono-i18n2.0-cil{a} libmono-i18n4.0-all{a}
  libmono-i18n4.0-cil{a} libmono-ldap2.0-cil{a} libmono-ldap4.0-cil{a} libmono-management2.0-cil{a}
  libmono-management4.0-cil{a} libmono-messaging-rabbitmq2.0-cil{a} libmono-messaging-rabbitmq4.0-cil{a}
  libmono-messaging2.0-cil{a} libmono-messaging4.0-cil{a} libmono-microsoft-build-engine4.0-cil{ab}
  libmono-microsoft-build-framework4.0-cil{a} libmono-microsoft-build-tasks-v4.0-4.0-cil{ab}
  libmono-microsoft-build-utilities-v4.0-4.0-cil{ab} libmono-microsoft-build2.0-cil{ab}
  libmono-microsoft-build4.0-cil{a} libmono-microsoft-csharp4.0-cil{a} libmono-microsoft-visualc10.0-cil{a}
  libmono-microsoft-web-infrastructure1.0-cil{a} libmono-microsoft8.0-cil{a} libmono-npgsql2.0-cil{a}
  libmono-npgsql4.0-cil{a} libmono-opensystem-c4.0-cil{a} libmono-oracle2.0-cil{ab} libmono-oracle4.0-cil{ab}
  libmono-peapi2.0-cil{a} libmono-peapi4.0-cil{a} libmono-posix2.0-cil{ab} libmono-posix4.0-cil{ab}
  libmono-profiler{ab} libmono-rabbitmq2.0-cil{a} libmono-rabbitmq4.0-cil{a} libmono-relaxng2.0-cil{a}
  libmono-relaxng4.0-cil{a} libmono-security2.0-cil{a} libmono-security4.0-cil{a} libmono-sharpzip2.6-cil{a}
  libmono-sharpzip2.84-cil{a} libmono-sharpzip4.84-cil{a} libmono-simd2.0-cil{a} libmono-simd4.0-cil{a}
  libmono-sqlite2.0-cil{a} libmono-sqlite4.0-cil{a} libmono-system-componentmodel-composition4.0-cil{a}
  libmono-system-componentmodel-dataannotations4.0-cil{a} libmono-system-configuration-install4.0-cil{a}
  libmono-system-configuration4.0-cil{a} libmono-system-core4.0-cil{a}
  libmono-system-data-datasetextensions4.0-cil{a} libmono-system-data-linq2.0-cil{a}
  libmono-system-data-linq4.0-cil{a} libmono-system-data-services-client4.0-cil{a}
  libmono-system-data-services4.0-cil{a} libmono-system-data2.0-cil{a} libmono-system-data4.0-cil{a}
  libmono-system-design4.0-cil{a} libmono-system-drawing-design4.0-cil{a} libmono-system-drawing4.0-cil{ab}
  libmono-system-dynamic4.0-cil{a} libmono-system-enterpriseservices4.0-cil{a}
  libmono-system-identitymodel-selectors4.0-cil{a} libmono-system-identitymodel4.0-cil{a}
  libmono-system-io-compression-filesystem4.0-cil{a} libmono-system-io-compression4.0-cil{a}
  libmono-system-ldap2.0-cil{a} libmono-system-ldap4.0-cil{a} libmono-system-management4.0-cil{a}
  libmono-system-messaging2.0-cil{a} libmono-system-messaging4.0-cil{a}
  libmono-system-net-http-formatting4.0-cil{a} libmono-system-net-http-webrequest4.0-cil{a}
  libmono-system-net-http4.0-cil{a} libmono-system-net4.0-cil{a} libmono-system-numerics4.0-cil{a}
  libmono-system-reactive-core2.1-cil{a} libmono-system-reactive-debugger2.1-cil{a}
  libmono-system-reactive-experimental2.1-cil{a} libmono-system-reactive-interfaces2.1-cil{a}
  libmono-system-reactive-linq2.1-cil{a} libmono-system-reactive-platformservices2.1-cil{a}
  libmono-system-reactive-providers2.1-cil{a} libmono-system-reactive-runtime-remoting2.1-cil{a}
  libmono-system-reactive-windows-forms2.1-cil{a} libmono-system-reactive-windows-threading2.1-cil{a}
  libmono-system-runtime-caching4.0-cil{a} libmono-system-runtime-durableinstancing4.0-cil{a}
  libmono-system-runtime-serialization-formatters-soap4.0-cil{a} libmono-system-runtime-serialization4.0-cil{a}
  libmono-system-runtime2.0-cil{a} libmono-system-runtime4.0-cil{a} libmono-system-security4.0-cil{a}
  libmono-system-servicemodel-discovery4.0-cil{a} libmono-system-servicemodel-routing4.0-cil{a}
  libmono-system-servicemodel-web4.0-cil{a} libmono-system-servicemodel4.0-cil{a}
  libmono-system-serviceprocess4.0-cil{a} libmono-system-threading-tasks-dataflow4.0-cil{a}
  libmono-system-transactions4.0-cil{a} libmono-system-web-abstractions4.0-cil{a}
  libmono-system-web-applicationservices4.0-cil{a} libmono-system-web-dynamicdata4.0-cil{a}
  libmono-system-web-extensions-design4.0-cil{a} libmono-system-web-extensions4.0-cil{a}
  libmono-system-web-http-selfhost4.0-cil{a} libmono-system-web-http-webhost4.0-cil{a}
  libmono-system-web-http4.0-cil{a} libmono-system-web-mvc1.0-cil{a} libmono-system-web-mvc2.0-cil{a}
  libmono-system-web-mvc3.0-cil{a} libmono-system-web-razor2.0-cil{a} libmono-system-web-routing4.0-cil{a}
  libmono-system-web-services4.0-cil{a} libmono-system-web-webpages-deployment2.0-cil{a}
  libmono-system-web-webpages-razor2.0-cil{a} libmono-system-web-webpages2.0-cil{a}
  libmono-system-web2.0-cil{ab} libmono-system-web4.0-cil{ab}
  libmono-system-windows-forms-datavisualization4.0-cil{a} libmono-system-windows-forms4.0-cil{ab}
  libmono-system-windows4.0-cil{a} libmono-system-xaml4.0-cil{a} libmono-system-xml-linq4.0-cil{a}
  libmono-system-xml-serialization4.0-cil{a} libmono-system-xml4.0-cil{a} libmono-system2.0-cil{ab}
  libmono-system4.0-cil{ab} libmono-tasklets2.0-cil{a} libmono-tasklets4.0-cil{a} libmono-wcf3.0-cil{a}
  libmono-web4.0-cil{a} libmono-webbrowser2.0-cil{a} libmono-webbrowser4.0-cil{a}
  libmono-webmatrix-data4.0-cil{a} libmono-windowsbase3.0-cil{a} libmono-windowsbase4.0-cil{a}
  libmono-winforms2.0-cil{ab} libmono2.0-cil{a} libmonoboehm-2.0-1{ab} mono-2.0-gac{ab} mono-2.0-service{a}
  mono-4.0-gac{ab} mono-4.0-service{a} mono-complete mono-csharp-shell{ab} mono-devel{ab} mono-jay{a}
  mono-mcs{ab} mono-runtime{a} mono-runtime-sgen{ab} mono-utils{ab} monodoc-base{ab} monodoc-manual{ab}
0 packages upgraded, 223 newly installed, 0 to remove and 0 not upgraded.
Need to get 38.1 MB of archives. After unpacking 138 MB will be used.
The following packages have unmet dependencies:
libmono-system2.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                  libc6.1 (>= 2.17) which is a virtual package. or
                                  libc0.1 (>= 2.17) which is a virtual package.
mono-runtime-sgen : Depends: libc6 (>= 2.15) but 2.13-38 is installed.
                     Depends: mono-runtime-common (= 3.2.1+dfsg-1) but it is not going to be installed.
libmono-csharp4.0a-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                   libc6.1 (>= 2.17) which is a virtual package. or
                                   libc0.1 (>= 2.17) which is a virtual package.
libmono-microsoft-build-tasks-v4.0-4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                                       libc6.1 (>= 2.17) which is a virtual package. or
                                                       libc0.1 (>= 2.17) which is a virtual package.
libmono-system-windows-forms4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                                libc6.1 (>= 2.17) which is a virtual package. or
                                                libc0.1 (>= 2.17) which is a virtual package.
                                       Depends: libx11-6 (>= 2:1.6.0) but 2:1.5.0-1+deb7u1 is installed.
                                       Depends: libgdiplus but it is not installable.
libmono-system-drawing4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                          libc6.1 (>= 2.17) which is a virtual package. or
                                          libc0.1 (>= 2.17) which is a virtual package.
                                 Depends: libgdiplus (>= 2.6.7) but it is not installable.
                                 Depends: libx11-6 (>= 2:1.6.0) but 2:1.5.0-1+deb7u1 is installed.
libmono-posix4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                 libc6.1 (>= 2.17) which is a virtual package. or
                                 libc0.1 (>= 2.17) which is a virtual package.
libmono-microsoft-build-engine4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                                  libc6.1 (>= 2.17) which is a virtual package. or
                                                  libc0.1 (>= 2.17) which is a virtual package.
libmono-posix2.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                 libc6.1 (>= 2.17) which is a virtual package. or
                                 libc0.1 (>= 2.17) which is a virtual package.
mono-csharp-shell : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                              libc6.1 (>= 2.17) which is a virtual package. or
                              libc0.1 (>= 2.17) which is a virtual package.
libmono-profiler : Depends: libc6 (>= 2.15) but 2.13-38 is installed.
                    Depends: libmonosgen-2.0-1 (>= 3.2.1+dfsg) but it is not going to be installed.
mono-4.0-gac : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                         libc6.1 (>= 2.17) which is a virtual package. or
                         libc0.1 (>= 2.17) which is a virtual package.
libmonoboehm-2.0-1 : Depends: libc6 (>= 2.15) but 2.13-38 is installed.
mono-2.0-gac : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                         libc6.1 (>= 2.17) which is a virtual package. or
                         libc0.1 (>= 2.17) which is a virtual package.
libmono-microsoft-build-utilities-v4.0-4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                                           libc6.1 (>= 2.17) which is a virtual package. or
                                                           libc0.1 (>= 2.17) which is a virtual package.
mono-mcs : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                     libc6.1 (>= 2.17) which is a virtual package. or
                     libc0.1 (>= 2.17) which is a virtual package.
monodoc-base : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                         libc6.1 (>= 2.17) which is a virtual package. or
                         libc0.1 (>= 2.17) which is a virtual package.
mono-utils : Depends: libc6 (>= 2.15) but 2.13-38 is installed.
              Depends: libmonosgen-2.0-1 (>= 3.2.1+dfsg) but it is not going to be installed.
libmono-system-web4.0-cil : Depends: libgdiplus but it is not installable.
libmono-microsoft-build2.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                           libc6.1 (>= 2.17) which is a virtual package. or
                                           libc0.1 (>= 2.17) which is a virtual package.
libmono-system-web2.0-cil : Depends: libgdiplus but it is not installable.
monodoc-manual : Depends: monodoc-browser but it is not installable. or
                           monodoc-http which is a virtual package. or
                           monodoc-viewer which is a virtual package.
libmono-oracle4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                  libc6.1 (>= 2.17) which is a virtual package. or
                                  libc0.1 (>= 2.17) which is a virtual package.
mono-devel : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                       libc6.1 (>= 2.17) which is a virtual package. or
                       libc0.1 (>= 2.17) which is a virtual package.
              Depends: libglib2.0-0 (>= 2.36.4) but 2.33.12+really2.32.4-5 is installed.
              Depends: mono-gac (= 3.2.1+dfsg-1) but it is not going to be installed.
              Depends: mono-xbuild (= 3.2.1+dfsg-1) but it is not going to be installed.
              Depends: libmonoboehm-2.0-dev (>= 3.2.1+dfsg-1) but it is not going to be installed.
              Depends: libmonoboehm-2.0-dev (< 3.2.1+dfsg-1.1~) but it is not going to be installed.
              Depends: pkg-config which is a virtual package.
libmono-oracle2.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                  libc6.1 (>= 2.17) which is a virtual package. or
                                  libc0.1 (>= 2.17) which is a virtual package.
libmono-winforms2.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                    libc6.1 (>= 2.17) which is a virtual package. or
                                    libc0.1 (>= 2.17) which is a virtual package.
                           Depends: libx11-6 (>= 2:1.6.0) but 2:1.5.0-1+deb7u1 is installed.
                           Depends: libgdiplus but it is not installable.
libmono-cil-dev : Depends: libnunit-cil-dev (>= 2.4) which is a virtual package.
libmono-system4.0-cil : Depends: libc6 (>= 2.17) but 2.13-38 is installed. or
                                  libc6.1 (>= 2.17) which is a virtual package. or
                                  libc0.1 (>= 2.17) which is a virtual package.
The following actions will resolve these dependencies:

       Keep the following packages at their current version:                       
1)       libmono-2.0-1 [Not Installed]                                             
2)       libmono-accessibility2.0-cil [Not Installed]                               
3)       libmono-accessibility4.0-cil [Not Installed]                               
4)       libmono-c5-1.1-cil [Not Installed]                                         
5)       libmono-cairo2.0-cil [Not Installed]                                       
6)       libmono-cairo4.0-cil [Not Installed]                                       
7)       libmono-cecil-private-cil [Not Installed]                                 
8)       libmono-cil-dev [Not Installed]                                           
9)       libmono-codecontracts4.0-cil [Not Installed]                               
10)      libmono-compilerservices-symbolwriter4.0-cil [Not Installed]               
11)      libmono-corlib2.0-cil [Not Installed]                                     
12)      libmono-corlib4.0-cil [Not Installed]                                     
13)      libmono-corlib4.5-cil [Not Installed]                                     
14)      libmono-cscompmgd8.0-cil [Not Installed]                                   
15)      libmono-csharp4.0a-cil [Not Installed]                                     
16)      libmono-custommarshalers4.0-cil [Not Installed]                           
17)      libmono-data-tds2.0-cil [Not Installed]                                   
18)      libmono-data-tds4.0-cil [Not Installed]                                   
19)      libmono-db2-1.0-cil [Not Installed]                                       
20)      libmono-debugger-soft2.0-cil [Not Installed]                               
21)      libmono-debugger-soft4.0-cil [Not Installed]                               
22)      libmono-facades-system-collections-cil [Not Installed]                     
23)      libmono-facades-system-collections-concurrent-cil [Not Installed]         
24)      libmono-facades-system-componentmodel-annotations-cil [Not Installed]     
25)      libmono-facades-system-componentmodel-cil [Not Installed]                 
26)      libmono-facades-system-componentmodel-eventbasedasync-cil [Not Installed] 
27)      libmono-facades-system-diagnostics-contracts-cil [Not Installed]           
28)      libmono-facades-system-diagnostics-debug-cil [Not Installed]               
29)      libmono-facades-system-diagnostics-tools-cil [Not Installed]               
30)      libmono-facades-system-dynamic-runtime-cil [Not Installed]                 
31)      libmono-facades-system-globalization-cil [Not Installed]                   
32)      libmono-facades-system-io-cil [Not Installed]                             
33)      libmono-facades-system-linq-cil [Not Installed]                           
34)      libmono-facades-system-linq-expressions-cil [Not Installed]               
35)      libmono-facades-system-linq-parallel-cil [Not Installed]                   
36)      libmono-facades-system-linq-queryable-cil [Not Installed]                 
37)      libmono-facades-system-net-networkinformation-cil [Not Installed]         
38)      libmono-facades-system-net-primitives-cil [Not Installed]                 
39)      libmono-facades-system-net-requests-cil [Not Installed]                   
40)      libmono-facades-system-objectmodel-cil [Not Installed]                     
41)      libmono-facades-system-reflection-cil [Not Installed]                     
42)      libmono-facades-system-reflection-extensions-cil [Not Installed]           
43)      libmono-facades-system-reflection-primitives-cil [Not Installed]           
44)      libmono-facades-system-resources-resourcemanager-cil [Not Installed]       
45)      libmono-facades-system-runtime-cil [Not Installed]                         
46)      libmono-facades-system-runtime-extensions-cil [Not Installed]             
47)      libmono-facades-system-runtime-interopservices-cil [Not Installed]         
48)      libmono-facades-system-runtime-numerics-cil [Not Installed]               
49)      libmono-facades-system-runtime-serialization-json-cil [Not Installed]     
50)      libmono-facades-system-runtime-serialization-primitives-cil [Not Installed]
51)      libmono-facades-system-runtime-serialization-xml-cil [Not Installed]       
52)      libmono-facades-system-security-principal-cil [Not Installed]             
53)      libmono-facades-system-servicemodel-http-cil [Not Installed]               
54)      libmono-facades-system-servicemodel-primitives-cil [Not Installed]         
55)      libmono-facades-system-text-encoding-cil [Not Installed]                   
56)      libmono-facades-system-text-encoding-extensions-cil [Not Installed]       
57)      libmono-facades-system-text-regularexpressions-cil [Not Installed]         
58)      libmono-facades-system-threading-cil [Not Installed]                       
59)      libmono-facades-system-threading-tasks-cil [Not Installed]                 
60)      libmono-facades-system-threading-tasks-parallel-cil [Not Installed]       
61)      libmono-facades-system-xml-readerwriter-cil [Not Installed]               
62)      libmono-facades-system-xml-xdocument-cil [Not Installed]                   
63)      libmono-facades-system-xml-xmlserializer-cil [Not Installed]               
64)      libmono-http4.0-cil [Not Installed]                                       
65)      libmono-i18n-cjk4.0-cil [Not Installed]                                   
66)      libmono-i18n-mideast4.0-cil [Not Installed]                               
67)      libmono-i18n-other4.0-cil [Not Installed]                                 
68)      libmono-i18n-rare4.0-cil [Not Installed]                                   
69)      libmono-i18n-west2.0-cil [Not Installed]                                   
70)      libmono-i18n-west4.0-cil [Not Installed]                                   
71)      libmono-i18n2.0-cil [Not Installed]                                       
72)      libmono-i18n4.0-all [Not Installed]                                       
73)      libmono-i18n4.0-cil [Not Installed]                                       
74)      libmono-ldap2.0-cil [Not Installed]                                       
75)      libmono-ldap4.0-cil [Not Installed]                                       
76)      libmono-management2.0-cil [Not Installed]                                 
77)      libmono-management4.0-cil [Not Installed]                                 
78)      libmono-messaging-rabbitmq2.0-cil [Not Installed]                         
79)      libmono-messaging-rabbitmq4.0-cil [Not Installed]                         
80)      libmono-messaging2.0-cil [Not Installed]                                   
81)      libmono-messaging4.0-cil [Not Installed]                                   
82)      libmono-microsoft-build-engine4.0-cil [Not Installed]                     
83)      libmono-microsoft-build-framework4.0-cil [Not Installed]                   
84)      libmono-microsoft-build-tasks-v4.0-4.0-cil [Not Installed]                 
85)      libmono-microsoft-build-utilities-v4.0-4.0-cil [Not Installed]             
86)      libmono-microsoft-build2.0-cil [Not Installed]                             
87)      libmono-microsoft-build4.0-cil [Not Installed]                             
88)      libmono-microsoft-csharp4.0-cil [Not Installed]                           
89)      libmono-microsoft-visualc10.0-cil [Not Installed]                         
90)      libmono-microsoft-web-infrastructure1.0-cil [Not Installed]               
91)      libmono-microsoft8.0-cil [Not Installed]                                   
92)      libmono-npgsql2.0-cil [Not Installed]                                     
93)      libmono-npgsql4.0-cil [Not Installed]                                     
94)      libmono-opensystem-c4.0-cil [Not Installed]                               
95)      libmono-oracle2.0-cil [Not Installed]                                     
96)      libmono-oracle4.0-cil [Not Installed]                                     
97)      libmono-peapi2.0-cil [Not Installed]                                       
98)      libmono-peapi4.0-cil [Not Installed]                                       
99)      libmono-posix2.0-cil [Not Installed]                                       
100)     libmono-posix4.0-cil [Not Installed]                                       
101)     libmono-profiler [Not Installed]                                           
102)     libmono-rabbitmq2.0-cil [Not Installed]                                   
103)     libmono-rabbitmq4.0-cil [Not Installed]                                   
104)     libmono-relaxng2.0-cil [Not Installed]                                     
105)     libmono-relaxng4.0-cil [Not Installed]                                     
106)     libmono-security2.0-cil [Not Installed]                                   
107)     libmono-security4.0-cil [Not Installed]                                   
108)     libmono-sharpzip2.6-cil [Not Installed]                                   
109)     libmono-sharpzip2.84-cil [Not Installed]                                   
110)     libmono-sharpzip4.84-cil [Not Installed]                                   
111)     libmono-simd2.0-cil [Not Installed]                                       
112)     libmono-simd4.0-cil [Not Installed]                                       
113)     libmono-sqlite2.0-cil [Not Installed]                                     
114)     libmono-sqlite4.0-cil [Not Installed]                                     
115)     libmono-system-componentmodel-composition4.0-cil [Not Installed]           
116)     libmono-system-componentmodel-dataannotations4.0-cil [Not Installed]       
117)     libmono-system-configuration-install4.0-cil [Not Installed]               
118)     libmono-system-configuration4.0-cil [Not Installed]                       
119)     libmono-system-core4.0-cil [Not Installed]                                 
120)     libmono-system-data-datasetextensions4.0-cil [Not Installed]               
121)     libmono-system-data-linq2.0-cil [Not Installed]                           
122)     libmono-system-data-linq4.0-cil [Not Installed]                           
123)     libmono-system-data-services-client4.0-cil [Not Installed]                 
124)     libmono-system-data-services4.0-cil [Not Installed]                       
125)     libmono-system-data2.0-cil [Not Installed]                                 
126)     libmono-system-data4.0-cil [Not Installed]                                 
127)     libmono-system-design4.0-cil [Not Installed]                               
128)     libmono-system-drawing-design4.0-cil [Not Installed]                       
129)     libmono-system-drawing4.0-cil [Not Installed]                             
130)     libmono-system-dynamic4.0-cil [Not Installed]                             
131)     libmono-system-enterpriseservices4.0-cil [Not Installed]                   
132)     libmono-system-identitymodel-selectors4.0-cil [Not Installed]             
133)     libmono-system-identitymodel4.0-cil [Not Installed]                       
134)     libmono-system-io-compression-filesystem4.0-cil [Not Installed]           
135)     libmono-system-io-compression4.0-cil [Not Installed]                       
136)     libmono-system-ldap2.0-cil [Not Installed]                                 
137)     libmono-system-ldap4.0-cil [Not Installed]                                 
138)     libmono-system-management4.0-cil [Not Installed]                           
139)     libmono-system-messaging2.0-cil [Not Installed]                           
140)     libmono-system-messaging4.0-cil [Not Installed]                           
141)     libmono-system-net-http-formatting4.0-cil [Not Installed]                 
142)     libmono-system-net-http-webrequest4.0-cil [Not Installed]                 
143)     libmono-system-net-http4.0-cil [Not Installed]                             
144)     libmono-system-net4.0-cil [Not Installed]                                 
145)     libmono-system-numerics4.0-cil [Not Installed]                             
146)     libmono-system-reactive-core2.1-cil [Not Installed]                       
147)     libmono-system-reactive-debugger2.1-cil [Not Installed]                   
148)     libmono-system-reactive-experimental2.1-cil [Not Installed]               
149)     libmono-system-reactive-interfaces2.1-cil [Not Installed]                 
150)     libmono-system-reactive-linq2.1-cil [Not Installed]                       
151)     libmono-system-reactive-platformservices2.1-cil [Not Installed]           
152)     libmono-system-reactive-providers2.1-cil [Not Installed]                   
153)     libmono-system-reactive-runtime-remoting2.1-cil [Not Installed]           
154)     libmono-system-reactive-windows-forms2.1-cil [Not Installed]               
155)     libmono-system-reactive-windows-threading2.1-cil [Not Installed]           
156)     libmono-system-runtime-caching4.0-cil [Not Installed]                     
157)     libmono-system-runtime-durableinstancing4.0-cil [Not Installed]           
158)     libmono-system-runtime-serialization-formatters-soap4.0-cil [Not Installed]
159)     libmono-system-runtime-serialization4.0-cil [Not Installed]               
160)     libmono-system-runtime2.0-cil [Not Installed]                             
161)     libmono-system-runtime4.0-cil [Not Installed]                             
162)     libmono-system-security4.0-cil [Not Installed]                             
163)     libmono-system-servicemodel-discovery4.0-cil [Not Installed]               
164)     libmono-system-servicemodel-routing4.0-cil [Not Installed]                 
165)     libmono-system-servicemodel-web4.0-cil [Not Installed]                     
166)     libmono-system-servicemodel4.0-cil [Not Installed]                         
167)     libmono-system-serviceprocess4.0-cil [Not Installed]                       
168)     libmono-system-threading-tasks-dataflow4.0-cil [Not Installed]             
169)     libmono-system-transactions4.0-cil [Not Installed]                         
170)     libmono-system-web-abstractions4.0-cil [Not Installed]                     
171)     libmono-system-web-applicationservices4.0-cil [Not Installed]             
172)     libmono-system-web-dynamicdata4.0-cil [Not Installed]                     
173)     libmono-system-web-extensions-design4.0-cil [Not Installed]               
174)     libmono-system-web-extensions4.0-cil [Not Installed]                       
175)     libmono-system-web-http-selfhost4.0-cil [Not Installed]                   
176)     libmono-system-web-http-webhost4.0-cil [Not Installed]                     
177)     libmono-system-web-http4.0-cil [Not Installed]                             
178)     libmono-system-web-mvc1.0-cil [Not Installed]                             
179)     libmono-system-web-mvc2.0-cil [Not Installed]                             
180)     libmono-system-web-mvc3.0-cil [Not Installed]                             
181)     libmono-system-web-razor2.0-cil [Not Installed]                           
182)     libmono-system-web-routing4.0-cil [Not Installed]                         
183)     libmono-system-web-services4.0-cil [Not Installed]                         
184)     libmono-system-web-webpages-deployment2.0-cil [Not Installed]             
185)     libmono-system-web-webpages-razor2.0-cil [Not Installed]                   
186)     libmono-system-web-webpages2.0-cil [Not Installed]                         
187)     libmono-system-web2.0-cil [Not Installed]                                 
188)     libmono-system-web4.0-cil [Not Installed]                                 
189)     libmono-system-windows-forms-datavisualization4.0-cil [Not Installed]     
190)     libmono-system-windows-forms4.0-cil [Not Installed]                       
191)     libmono-system-windows4.0-cil [Not Installed]                             
192)     libmono-system-xaml4.0-cil [Not Installed]                                 
193)     libmono-system-xml-linq4.0-cil [Not Installed]                             
194)     libmono-system-xml-serialization4.0-cil [Not Installed]                   
195)     libmono-system-xml4.0-cil [Not Installed]                                 
196)     libmono-system2.0-cil [Not Installed]                                     
197)     libmono-system4.0-cil [Not Installed]                                     
198)     libmono-tasklets2.0-cil [Not Installed]                                   
199)     libmono-tasklets4.0-cil [Not Installed]                                   
200)     libmono-wcf3.0-cil [Not Installed]                                         
201)     libmono-web4.0-cil [Not Installed]                                         
202)     libmono-webbrowser2.0-cil [Not Installed]                                 
203)     libmono-webbrowser4.0-cil [Not Installed]                                 
204)     libmono-webmatrix-data4.0-cil [Not Installed]                             
205)     libmono-windowsbase3.0-cil [Not Installed]                                 
206)     libmono-windowsbase4.0-cil [Not Installed]                                 
207)     libmono-winforms2.0-cil [Not Installed]                                   
208)     libmono2.0-cil [Not Installed]                                             
209)     libmonoboehm-2.0-1 [Not Installed]                                         
210)     mono-2.0-gac [Not Installed]                                               
211)     mono-2.0-service [Not Installed]                                           
212)     mono-4.0-gac [Not Installed]                                               
213)     mono-4.0-service [Not Installed]                                           
214)     mono-complete [Not Installed]                                             
215)     mono-csharp-shell [Not Installed]                                         
216)     mono-devel [Not Installed]                                                 
217)     mono-mcs [Not Installed]                                                   
218)     mono-runtime [Not Installed]                                               
219)     mono-runtime-sgen [Not Installed]                                         
220)     mono-utils [Not Installed]                                                 
221)     monodoc-base [Not Installed]                                               
222)     monodoc-manual [Not Installed]                                             

       Leave the following dependencies unresolved:                                 
223)     mono-devel recommends mono-csharp-shell                                   


Accept this solution? [Y/n/q/?] y
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
[свернуть]

может это как то прояснит ситуацию.
  •  

qupl

Mosquito, сделайте резервную копию системы, чтобы можно было легко откатиться и примите предложение aptitude.


Sergei_Alekseev

Можно скомпилировать3.2.1+dfsg-1 под wheezy, что я только что сделал ради интереса.
80 мб. Если нужно, скажите  ;D
  •  

visualx

Sergei_Alekseev,

поделитесь секретом, как скомпилировали
  •  

Mosquito

Цитата: qupl от 26 октября 2013, 18:45:24Mosquito, сделайте резервную копию системы, чтобы можно было легко откатиться и примите предложение aptitude.
так принял, ничего не произошло
Accept this solution? [Y/n/q/?] y
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.


Цитата: Sergei_Alekseev от 26 октября 2013, 20:20:13Можно скомпилировать3.2.1+dfsg-1 под wheezy, что я только что сделал ради интереса.
80 мб. Если нужно, скажите  ;D
давайте, буду вам очень благодарен
  •  

visualx

опа, а у меня получилось как qupl описал apt-get -t=experimental install mono-complete
Сейчас буду monodevelop устанавливать
  •  

Sergei_Alekseev

#9
На всякий случай вот тут пакеты лежат:
http://metafight.ru/files/mono-3.2.1+dfsg-1-wheezy-x86_64.tar.gz

Я бы не стал ставить в wheezy что-то серьёзное непосредственно из experimental.
Завсегда лучше скомпилировать и дышать свежим воздухом)
  •  

visualx

Цитата: Sergei_Alekseev от 26 октября 2013, 23:48:43
Я бы не стал ставить в wheezy что-то серьёзное непосредственно из experimental.
Завсегда лучше скомпилировать и дышать свежим воздухом)

учтем
  •  

ogost

блин кто это поделие поттеринга в main ветку пустил? ему самое место в non-free!

Mosquito

Цитата: Sergei_Alekseev от 26 октября 2013, 23:48:43На всякий случай вот тут пакеты лежат:
http://metafight.ru/files/mono-3.2.1+dfsg-1-wheezy-x86_64.tar.gz
Возится с исходниками не захотел, по этому установил даные вами пакеты, огромное спасибо вам за них! Но на будущее учту что в подобных случаях нужно устанавливать из исходников.
Всем кто откликнулся тоже большое спасибо!
  •